using ShipyardContracts.BindingModels;
using ShipyardContracts.SearchModels;
using ShipyardContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.BusinessLogicsContracts
{
    public interface IDetailLogic
    {
        List<DetailViewModel>? ReadList(DetailSearchModel? model);
        DetailViewModel? ReadElement(DetailSearchModel model);
        bool Create(DetailBindingModel model);
        bool Update(DetailBindingModel model);
        bool Delete(DetailBindingModel model);
    }
}
